

-- Useful to position Particle FX such as rain , snow at the camera location.

function OnCreate(self)
	
	self.heightOffset = 750;
	
end

function OnThink(self)

  -- update Particle Position according to Camera Position
  local cam = Game:GetCamera()
local camPos = cam:GetPosition()
  
  -- height offset
  camPos.z = camPos.z + self.heightOffset;
  
  self:SetPosition(camPos)
    
end

-- This line is a comment

